Bug 811359 - Remove dependency to jbpm3 and all related features in Seam 2.3
Remove dependency to jbpm3 and all related features in Seam 2.3
Status: CLOSED DEFERRED
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Seam (Show other bugs)
2.0.0.ER7
Unspecified Unspecified
urgent Severity urgent
: ---
: 2.0.0.ER8
Assigned To: Marek Novotny
Marek Schmidt
Seam2.3
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-10 15:39 EDT by Marek Novotny
Modified: 2012-06-18 08:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-18 08:17:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Novotny 2012-04-10 15:39:15 EDT
We need to cut out all functionality related to jbpm3 integration
Comment 1 Marek Schmidt 2012-06-05 07:31:23 EDT
Failed testing,

1. examples using jbpm or pageflow are still contained in the demo distribution

- drools
- dvdstore
- numberguess
- todo

Some examples mention jbpm even if they don't need it 

- groovybooking/groovybooking-web/src/main/webapp/WEB-INF/components.xml (in comment)
- seambay/seambay-web/pom.xml

- itext/itext-web/src/main/webapp/ lots of mentions of jbpm, which should be removed

  "Seam deeply integrates jBPM and makes it incredibly simple to use jBPM for task management or pageflow, and is a great way to get started with BPM technology. The combination of Seam and jBPM can shrink development time of some kinds of projects by literally months", etc.

- ui/ui-web/src/main/webapp/linkAndButton.xhtml ("You can also start a pageflow or start/resume a task - this isn't demonstrated here.")

2. Integration tests depending on jbpm and/or pageflow still exists in the seam-integration-tests.
Comment 3 Marek Novotny 2012-06-10 15:05:53 EDT
removed the rest in https://source.jboss.org/changelog/Seam?cs=14886
Comment 4 Karel Piwko 2012-06-18 08:16:38 EDT
Verified point 1. in WFK ER8.
Comment 5 Karel Piwko 2012-06-18 08:17:11 EDT
Seam 2.3 is not a part of the payload.

Note You need to log in before you can comment on or make changes to this bug.